import SolidElement from '../../internal/solid-element';
export default class SdButtonGroup extends SolidElement {
    defaultSlot: HTMLSlotElement;
    disableRole: boolean;
    label: string;
    private handleFocus;
    private handleBlur;
    private handleMouseOver;
    private handleMouseOut;
    private handleSlotChange;
    render(): import("lit").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'sd-button-group': SdButtonGroup;
    }
}
